package com.chinaitop.depot.intelligent.energyMonitor.model;

import java.math.BigDecimal;
import java.util.Date;

public class TEnergyInfo {
    private String id;

    private String vNhCode;

    private String vNhName;

    private String vHhtype;

    private String vCfCode;

    private BigDecimal fTotalNh;

    private BigDecimal fVoltage;

    private BigDecimal fElectric;

    private String vUpdatePerson;

    private Date vUpdateTime;

    private Integer iTdh;

    private String vZdCode;

    private String vRemark;

    private Integer orgId;

    private Integer delFlag;

    /**
     * 生成32位唯一编码
     * @return id 生成32位唯一编码
     */
    public String getId() {
        return id;
    }

    /**
     * 生成32位唯一编码
     * @param id 生成32位唯一编码
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 编码
     * @return v_nh_code 编码
     */
    public String getvNhCode() {
        return vNhCode;
    }

    /**
     * 编码
     * @param vNhCode 编码
     */
    public void setvNhCode(String vNhCode) {
        this.vNhCode = vNhCode == null ? null : vNhCode.trim();
    }

    /**
     * 名称
     * @return v_nh_name 名称
     */
    public String getvNhName() {
        return vNhName;
    }

    /**
     * 名称
     * @param vNhName 名称
     */
    public void setvNhName(String vNhName) {
        this.vNhName = vNhName == null ? null : vNhName.trim();
    }

    /**
     * 类型
     * @return v_hhtype 类型
     */
    public String getvHhtype() {
        return vHhtype;
    }

    /**
     * 类型
     * @param vHhtype 类型
     */
    public void setvHhtype(String vHhtype) {
        this.vHhtype = vHhtype == null ? null : vHhtype.trim();
    }

    /**
     * 所属仓号
     * @return v_cf_code 所属仓号
     */
    public String getvCfCode() {
        return vCfCode;
    }

    /**
     * 所属仓号
     * @param vCfCode 所属仓号
     */
    public void setvCfCode(String vCfCode) {
        this.vCfCode = vCfCode == null ? null : vCfCode.trim();
    }

    /**
     * 累计功率
     * @return f_total_nh 累计功率
     */
    public BigDecimal getfTotalNh() {
        return fTotalNh;
    }

    /**
     * 累计功率
     * @param fTotalNh 累计功率
     */
    public void setfTotalNh(BigDecimal fTotalNh) {
        this.fTotalNh = fTotalNh;
    }

    /**
     * 电压
     * @return f_voltage 电压
     */
    public BigDecimal getfVoltage() {
        return fVoltage;
    }

    /**
     * 电压
     * @param fVoltage 电压
     */
    public void setfVoltage(BigDecimal fVoltage) {
        this.fVoltage = fVoltage;
    }

    /**
     * 电流
     * @return f_electric 电流
     */
    public BigDecimal getfElectric() {
        return fElectric;
    }

    /**
     * 电流
     * @param fElectric 电流
     */
    public void setfElectric(BigDecimal fElectric) {
        this.fElectric = fElectric;
    }

    /**
     * 更新人
     * @return v_update_person 更新人
     */
    public String getvUpdatePerson() {
        return vUpdatePerson;
    }

    /**
     * 更新人
     * @param vUpdatePerson 更新人
     */
    public void setvUpdatePerson(String vUpdatePerson) {
        this.vUpdatePerson = vUpdatePerson == null ? null : vUpdatePerson.trim();
    }

    /**
     * 更新时间
     * @return v_update_time 更新时间
     */
    public Date getvUpdateTime() {
        return vUpdateTime;
    }

    /**
     * 更新时间
     * @param vUpdateTime 更新时间
     */
    public void setvUpdateTime(Date vUpdateTime) {
        this.vUpdateTime = vUpdateTime;
    }

    /**
     * 频道号
     * @return i_tdh 频道号
     */
    public Integer getiTdh() {
        return iTdh;
    }

    /**
     * 频道号
     * @param iTdh 频道号
     */
    public void setiTdh(Integer iTdh) {
        this.iTdh = iTdh;
    }

    /**
     * 站点编码
     * @return v_zd_code 站点编码
     */
    public String getvZdCode() {
        return vZdCode;
    }

    /**
     * 站点编码
     * @param vZdCode 站点编码
     */
    public void setvZdCode(String vZdCode) {
        this.vZdCode = vZdCode == null ? null : vZdCode.trim();
    }

    /**
     * 备注
     * @return v_remark 备注
     */
    public String getvRemark() {
        return vRemark;
    }

    /**
     * 备注
     * @param vRemark 备注
     */
    public void setvRemark(String vRemark) {
        this.vRemark = vRemark == null ? null : vRemark.trim();
    }

    /**
     * 组织编号
     * @return org_id 组织编号
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织编号
     * @param orgId 组织编号
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @return del_flag 删除标志（0：删除，1：未删除）
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @param delFlag 删除标志（0：删除，1：未删除）
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}